KVisualBoyAdvance

Emulation

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
Score 50.0%
Description:

Graphical front end to VisualBoyAdvance command line emulator to play GameBoy games/game ROMs under Linux

features:
- graphical interface for playing
- save configuration
- easy game start and finish
- change size of screen
- display frame rate
- select VisualBoyAdvance binary
- select directory for GBA ROMs

legal game ROMS can be downloaded from http://www.pdroms.de

version 0.2
- new GUI tab in Options
- auto frame skip on/off
- set frame skip value
- throttle on/off
- set throttle value
- RTC support on/off
- YUV overlay settings
- intelligent handling of command line options

version 0.3
- default VisualBoyAdvance config file used as conf file
- possibility to edit all command line options manually in VisualBoyAdvance.cfg
- Options Tab divided to 3: general, path, visual
- screenshot directory changable from GUI
- save state directory changable from GUI
- sound volume, quality, echo, filter options
- option to remove GBA intros
- last saved configuration restored on next run
- option to restore default configuration

version 0.3.1
- optional usage of external BIOS file

obsrv

13 years ago

Why KVisualBoyAdvance doesn't detect my .gbc and .gb rom images? Why they all have to be zip compressed?

Report

obsrv

13 years ago

Why KVisualBoyAdvance looks only for files that are in .zip? Why my .gb and .gba roms isn't found?

Report

Esaltato

14 years ago

link brings to a 500 error

Report

softpedia

14 years ago

Thanks, but I managed to get it working in that day :)

I am playing a lot of GBA games right now :)

Report

softpedia

14 years ago

Hi, I tryed to make this software to work...I found some GBA games ...that are listed in the main window of the program. But when I select a game in the list and hit the Start button it says, Fatal Error ... Please set the path for VisiualBoyAdvance binary.

What do I have to do ? I'm stuck :(

Someone please help me.

Many thanks in advance.

Report

CaCO3

14 years ago

in the register OPTIONS, you have to select the subregister PATH.
at fist textfield, you have to select /usr/bin/visualboyadvance.

Dont forgot to check the save-field at OPTIONS / EMULATOR!

Report

blurymind

14 years ago

here are alternative links for download:

http://zack.cerza.org/~zack/files/debs/kvisualboyadvance/

http://www.google.com/search?hl=en&lr=&safe=off&q=KVisualBoyAdvance&btnG=Search

Report

sunray

14 years ago

http://rpm.pbone.net/index.php3/stat/4/idpl/1660579/com/kvisualboyadvance-0.3.1-1plf.i586.rpm.html

you can download this rpm and trasform it with alien, works fine :)

only thing to do left is:
sudo ld --whole-archive -share -o /usr/lib/libXinerama.so.1 /usr/X11R6/lib/libXinerama.a

because debian has no such lib ;)

Report

Flameeyes

14 years ago

Is this project dead? The site on the link is not found.

I was going to giving up kvba, so I was trying to see how was kvisualboyadvance going.

Report

Oryx

15 years ago

Does this work on FreeBSD? i'm pretty new to using freebsd but i have it set to accept linux binaries.

Report

C

pistooli

15 years ago

I tend to believe that it does not... unless somebody will port it to BSD also...

Report

Kiroku6

15 years ago

Im pretty new to linux, will this app work on Gentoo?

Report

basse1989

15 years ago

Yes it will, write "# emerge kvisualboyadvance" in the command line and emerge will install it ;-)

Report

Flameeyes

15 years ago

I made an ebuild for KVisualBoyAdvance.

Can be downloaded along with other ebuilds at http://flameeyes.web.ctonet.it/

Report

hoodedone

15 years ago

I'd been wanting something like this, since dealing with the command line anytime I want to load a rom is a bit ridiculous.

I think the textboxes for path and game directory should be editable, since it's just silly not to. Also, I want to run VBA through artsdsp, but the loader isn't accepting that as a valid command even when I manually put it in the configuration file.

Other things that would be nice are more of VBA's options, especially things like BIOS file and controller settings.

Report

C

pistooli

15 years ago

external BIOS now can be configured and used from the GUI... :-)

Report

C

pistooli

15 years ago

thank you for your comments and suggestions!!! I will try to implement more features in the next release... will put yours on the ToDo list

:-)

cheers - pistooli

Report

Mooses

15 years ago

Would be nice, if you posted the controls here (or on the website), as they aren't described in the README.

Report

C

pistooli

15 years ago

will be corrected... until that:

# Left - Left Arrow
# Right - Right Arrow
# Up - Up Arrow
# Down - Down Arrow
# A - Z
# B - X
# L - A
# R - S
# Start - ENTER
# Select - BACKSPACE
# Speed up - SPACE

cheers - pistooli

Report

Mooses

15 years ago

Thanks!

Report

lane

15 years ago

hi,

you should think about using layout handlers since the text doesn't fit into the window on my system. this can be seen on these screenshots:
http://www.tuxipuxi.de/gba1.jpg
http://www.tuxipuxi.de/gba2.jpg
http://www.tuxipuxi.de/gba3.jpg

anyway, thanks for this application.

ciao,
Michael.

Report

C

pistooli

15 years ago

I hope the GUI problems are corrected now...

Report

C

pistooli

15 years ago

thanks for letting me know... will be corrected in the next release... hope it does not affect the game play... ;-)

cheers - pistooli

Report

mrpengo

15 years ago

When I do the make it give me an error:

...
Making all in src
make[2]: Entering directory `/home/mrpengo/descargas/kvisualboyadvance-0.1/src'
/usr/lib/qt3//bin/uic -L /usr/lib/kde3/plugins/designer -nounload -o kvisualboyadvancedlg.h ./kvisualboyadvancedlg.ui
uic: File generated with too recent version of Qt Designer (3.2 vs. 3.1.2)
make[2]: *** [kvisualboyadvancedlg.h] Error 1
make[2]: Leaving directory `/home/mrpengo/descargas/kvisualboyadvance-0.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/mrpengo/descargas/kvisualboyadvance-0.1'
make: *** [all] Error 2

There is a version for QT 3.1? I'm using Mandrake 9.2 with KDE 3.1.3 and QT 3.1.2

Report

C

pistooli

15 years ago

well as it says the version of uic you are using is older than mine... which is strange... this program even compiles on a Lindows 4.5 machine which has KDE 3.0.x version only, so its QT must be older than yours.
are you just doing ./configure, make, make install?

cheers - peter

Report

12345678910
product-maker Base: 4 x 5.0 Ratings
File (click to download) Version Description PackagetypeArchitectureRelease Channel Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.3.1
updated Mar 11 2008
added Jan 18 2004
downloads 24h
0
pageviews 24h 9
System Tags app software